Package org.eclipse.net4j.db

## Interface IDBPreparedStatement

- All Superinterfaces:
    `java.lang.AutoCloseable`, `java.lang.Comparable<IDBPreparedStatement>`, `java.sql.PreparedStatement`, `java.sql.Statement`, `java.sql.Wrapper`

      public interface IDBPreparedStatement
      extends java.lang.Comparable<IDBPreparedStatement>, java.sql.PreparedStatement

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IDBPreparedStatement.ReuseProbability` | An enum for the degree of probability to which a prepared statement is reused later on.

  - ### Field Summary

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IDBResultSet` | `executeQuery()` |
    `java.sql.ResultSet` | `executeQuery​(java.lang.String sql)` | Deprecated. Not supported.
    `IDBConnection` | `getConnection()` |
    `IDBResultSet` | `getGeneratedKeys()` |
    `IDBResultSet` | `getResultSet()` |
    `IDBPreparedStatement.ReuseProbability` | `getReuseProbability()` |
    `java.lang.String` | `getSQL()` |
    `IDBConnection` | `getTransaction()` | Deprecated. As of 4.3 use `getConnection()`.

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface java.sql.PreparedStatement

      `addBatch, clearParameters, execute, executeLargeUpdate, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

    - ### Methods inherited from interface java.sql.Statement

      `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getFetchDirection, getFetchSize, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### getConnection

          IDBConnection getConnection()
                               throws java.sql.SQLException

      Specified by:
        `getConnection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`
      Since:
        4.3

    - #### getTransaction

          @Deprecated
          IDBConnection getTransaction()

      Deprecated.
      As of 4.3 use `getConnection()`.

    - #### getSQL

          java.lang.String getSQL()

    - #### getReuseProbability

          IDBPreparedStatement.ReuseProbability getReuseProbability()

    - #### getGeneratedKeys

          IDBResultSet getGeneratedKeys()
                                 throws java.sql.SQLException

      Specified by:
        `getGeneratedKeys` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSet

          IDBResultSet getResultSet()
                             throws java.sql.SQLException

      Specified by:
        `getResultSet` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeQuery

          IDBResultSet executeQuery()
                             throws java.sql.SQLException

      Specified by:
        `executeQuery` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeQuery

          @Deprecated
          java.sql.ResultSet executeQuery​(java.lang.String sql)
                                   throws java.sql.SQLException

      Deprecated.
      Not supported.
      Specified by:
        `executeQuery` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`